# Manually curated lists of which APIs should go into which packages, and which
# should be ignored.
packages:
- googleapis:
    version: 9.2.0
    repository: https://github.com/google/googleapis.dart/tree/master/generated/googleapis
    readme: resources/README.md
    license: resources/LICENSE
    changelog: resources/googleapis/CHANGELOG.md
    example: resources/googleapis/examples/main.dart
    mono_pkg: resources/googleapis/_mono_pkg.yaml
    extraDevDependencies:
        googleapis_auth: ^1.0.0
        lints: ^2.0.0
    apis:
    - abusiveexperiencereport:v1 # https://developers.google.com/abusive-experience-report/
    - acceleratedmobilepageurl:v1 # https://developers.google.com/amp/cache/
    - accessapproval:v1
    - accesscontextmanager:v1
    - adexperiencereport:v1 # https://developers.google.com/ad-experience-report/
    - admin:datatransfer_v1 # https://developers.google.com/admin-sdk/data-transfer/
    - admin:directory_v1 # https://developers.google.com/admin-sdk/directory/
    - admin:reports_v1 # https://developers.google.com/admin-sdk/reports/
    - admob:v1
    - adsense:v2
    - adsensehost:v4.1 # https://developers.google.com/adsense/host/
    - analytics:v3 # https://developers.google.com/analytics/
    - analyticshub:v1
    - analyticsreporting:v4 # https://developers.google.com/analytics/devguides/reporting/core/v4/
    - androiddeviceprovisioning:v1 # https://developers.google.com/zero-touch/
    - androidenterprise:v1 # https://developers.google.com/api-client-library/java/apis/androidenterprise/v1
    - androidmanagement:v1 # https://developers.google.com/android/management
    - androidpublisher:v3 # https://developers.google.com/android-publisher/
    - apigateway:v1
    - apigee:v1
    - apigeeregistry:v1
    - apikeys:v2
    - appengine:v1 # https://cloud.google.com/appengine/docs/admin-api/
    - artifactregistry:v1
    - assuredworkloads:v1
    - authorizedbuyersmarketplace:v1
    - baremetalsolution:v1
    - baremetalsolution:v2
    - batch:v1
    - beyondcorp:v1
    - bigquery:v2 # https://developers.google.com/bigquery/
    - bigquerydatatransfer:v1 # https://cloud.google.com/bigquery/transfer/
    - bigqueryreservation:v1
    - bigtableadmin:v2 # https://cloud.google.com/bigtable/
    - billingbudgets:v1
    - binaryauthorization:v1
    - blogger:v3 # https://developers.google.com/blogger/
    - books:v1 # https://developers.google.com/books/
    - businessprofileperformance:v1
    - calendar:v3 # https://developers.google.com/google-apps/calendar/
    - certificatemanager:v1
    - chat:v1 # https://developers.google.com/hangouts/chat
    - chromemanagement:v1
    - chromepolicy:v1
    - chromeuxreport:v1
    - civicinfo:v2 # https://developers.google.com/civic-information/
    - classroom:v1 # https://developers.google.com/classroom/
    - cloudasset:v1
    - cloudbilling:v1 # https://cloud.google.com/billing/
    - cloudbuild:v1 # https://cloud.google.com/container-builder/docs/
    - cloudchannel:v1
    - clouddebugger:v2 # https://cloud.google.com/tools/cloud-debugger
    - clouddeploy:v1
    - cloudfunctions:v1 # https://cloud.google.com/functions/docs/
    - cloudfunctions:v2
    - cloudidentity:v1 # https://cloud.google.com/identity/
    - cloudiot:v1 # https://cloud.google.com/iot
    - cloudkms:v1 # https://cloud.google.com/kms/docs/
    - cloudprofiler:v2 # https://cloud.google.com/profiler/
    - cloudresourcemanager:v1 # https://cloud.google.com/resource-manager/
    - cloudresourcemanager:v2 # https://cloud.google.com/resource-manager/
    - cloudresourcemanager:v3
    - cloudscheduler:v1
    - cloudsearch:v1 # https://gsuite.google.com/products/cloud-search/
    - cloudshell:v1 # https://cloud.google.com/shell/docs/
    - cloudtasks:v2
    - cloudtrace:v2 # https://cloud.google.com/cloud-trace/
    - composer:v1 # https://cloud.google.com/composer/
    - compute:v1 # https://developers.google.com/compute/
    - connectors:v1
    - connectors:v2
    - contactcenterinsights:v1
    - container:v1 # https://cloud.google.com/container-engine/
    - containeranalysis:v1
    - content:v2.1 # https://developers.google.com/shopping-content/
    - contentwarehouse:v1
    - customsearch:v1 # https://developers.google.com/custom-search/
    - datacatalog:v1
    - datafusion:v1
    - datamigration:v1
    - datapipelines:v1
    - dataplex:v1
    - dataproc:v1 # https://cloud.google.com/dataproc/
    - datastore:v1 # https://developers.google.com/datastore/
    - datastream:v1
    - deploymentmanager:v2 # https://cloud.google.com/deployment-manager/
    - dfareporting:v3.5
    - dfareporting:v4
    - dialogflow:v2 # https://cloud.google.com/dialogflow-enterprise/
    - dialogflow:v3 # https://cloud.google.com/dialogflow-enterprise/
    - digitalassetlinks:v1 # https://developers.google.com/digital-asset-links/
    - discovery:v1 # https://developers.google.com/discovery/
    - displayvideo:v1
    - displayvideo:v2
    - dlp:v2 # https://cloud.google.com/dlp/
    - dns:v1 # https://cloud.google.com/dns/api/v1/
    - docs:v1
    - documentai:v1
    - domains:v1
    - domainsrdap:v1
    - doubleclickbidmanager:v1.1
    - doubleclickbidmanager:v2
    - doubleclicksearch:v2 # https://developers.google.com/doubleclick-search/
    - drive:v2 # https://developers.google.com/drive/v2/reference/
    - drive:v3 # https://developers.google.com/drive/v3/reference/
    - driveactivity:v2 # https://developers.google.com/drive/activity/
    - drivelabels:v2
    - essentialcontacts:v1
    - eventarc:v1
    - fcm:v1
    - file:v1
    - firebaseappcheck:v1
    - firebasedynamiclinks:v1 # https://firebase.google.com/docs/dynamic-links/
    - firebasehosting:v1
    - firebaseml:v1
    - firebaseremoteconfig:v1
    - firebaserules:v1 # https://firebase.google.com/docs/storage/security/start
    - firestore:v1 # https://cloud.google.com/firestore
    - fitness:v1 # https://developers.google.com/fitness/
    - forms:v1
    - games:v1 # https://developers.google.com/games/services/
    - gamesConfiguration:v1configuration # https://developers.google.com/games/services/publishing/api/
    - gamesManagement:v1management # https://developers.google.com/games/services/management/api/
    - gameservices:v1
    - gkebackup:v1
    - gkehub:v1
    - gmail:v1 # https://developers.google.com/gmail/
    - gmailpostmastertools:v1
    - groupsmigration:v1 # https://developers.google.com/admin-sdk/groups-migration/
    - groupssettings:v1 # https://developers.google.com/admin-sdk/groups-settings/
    - healthcare:v1
    - homegraph:v1
    - iam:v1 # https://cloud.google.com/iam/
    - iamcredentials:v1 # https://cloud.google.com/iam/docs/creating-short-lived-service-account-credentials
    - iap:v1 # https://cloud.google.com/iap
    - identitytoolkit:v3 # https://developers.google.com/identity-toolkit/
    - ids:v1
    - indexing:v3 # https://developers.google.com/search/apis/indexing-api/
    - jobs:v3 # https://cloud.google.com/job-discovery/docs
    - jobs:v4
    - keep:v1
    - kgsearch:v1 # https://developers.google.com/knowledge-graph/
    - language:v1 # https://cloud.google.com/natural-language/
    - libraryagent:v1 # https://cloud.google.com/docs/quota
    - licensing:v1 # https://developers.google.com/admin-sdk/licensing/v1/how-tos/using
    - localservices:v1
    - logging:v2 # https://cloud.google.com/logging/docs/
    - managedidentities:v1
    - manufacturers:v1 # https://developers.google.com/manufacturers/
    - memcache:v1
    - metastore:v1
    - ml:v1 # https://cloud.google.com/ml-engine/
    - monitoring:v3 # https://cloud.google.com/monitoring/api/
    - mybusinessaccountmanagement:v1
    - mybusinessbusinesscalls:v1
    - mybusinessbusinessinformation:v1
    - mybusinesslodging:v1
    - mybusinessnotifications:v1
    - mybusinessplaceactions:v1
    - mybusinessqanda:v1
    - mybusinessverifications:v1
    - networkconnectivity:v1
    - networkmanagement:v1
    - networksecurity:v1
    - networkservices:v1
    - notebooks:v1
    - oauth2:v2 # Note: this is used many places and sometimes the document is missing
    - ondemandscanning:v1
    - orgpolicy:v2
    - osconfig:v1
    - oslogin:v1 # https://cloud.google.com/compute/docs/oslogin/rest/
    - pagespeedonline:v5 # https://developers.google.com/speed/docs/insights/about
    - paymentsresellersubscription:v1
    - people:v1 # https://developers.google.com/people/
    - photoslibrary:v1
    - playcustomapp:v1 # https://developers.google.com/android/work/play/custom-app-api
    - playintegrity:v1
    - policyanalyzer:v1
    - policysimulator:v1
    - policytroubleshooter:v1
    - privateca:v1
    - pubsub:v1 # https://cloud.google.com/pubsub/
    - pubsublite:v1
    - realtimebidding:v1
    - recaptchaenterprise:v1
    - recommender:v1
    - redis:v1 # https://cloud.google.com/memorystore/docs/redis/
    - reseller:v1 # https://developers.google.com/admin-sdk/reseller/
    - resourcesettings:v1
    - retail:v2
    - run:v1
    - run:v2
    - runtimeconfig:v1 # https://cloud.google.com/deployment-manager/runtime-configurator/
    - safebrowsing:v4 # https://developers.google.com/safe-browsing/
    - script:v1 # https://developers.google.com/apps-script/execution/rest/v1/run
    - searchconsole:v1 # https://developers.google.com/webmaster-tools/search-console-api/
    - secretmanager:v1
    - securitycenter:v1
    - serviceconsumermanagement:v1 # https://cloud.google.com/service-consumer-management/docs/overview
    - servicecontrol:v1 # https://cloud.google.com/service-control/
    - servicecontrol:v2
    - servicedirectory:v1
    - servicemanagement:v1 # https://cloud.google.com/service-management/
    - servicenetworking:v1
    - serviceusage:v1 # https://cloud.google.com/service-usage/
    - sheets:v4 # https://developers.google.com/sheets/reference/rest/
    - siteVerification:v1 # https://developers.google.com/site-verification/
    - slides:v1 # https://developers.google.com/slides/
    - smartdevicemanagement:v1
    - sourcerepo:v1 # https://cloud.google.com/eap/cloud-repositories/cloud-sourcerepo-api
    - spanner:v1 # https://cloud.google.com/spanner/docs/
    - speech:v1 # https://cloud.google.com/speech/
    - storage:v1 # https://developers.google.com/storage/
    - storagetransfer:v1 # https://cloud.google.com/storage/transfer/
    - streetviewpublish:v1 # https://developers.google.com/streetview/publish/
    - sts:v1
    - tagmanager:v1 # https://developers.google.com/tag-manager/
    - tagmanager:v2 # https://developers.google.com/tag-manager/
    - tasks:v1 # https://developers.google.com/google-apps/tasks/
    - testing:v1 # https://developers.google.com/cloud-test-lab/
    - texttospeech:v1 # https://cloud.google.com/text-to-speech/
    - tpu:v1 # https://cloud.google.com/tpu/
    - tpu:v2
    - trafficdirector:v2
    - transcoder:v1
    - translate:v3
    - travelimpactmodel:v1
    - vault:v1 # https://apps.google.com/products/vault/
    - verifiedaccess:v1
    - verifiedaccess:v2
    - versionhistory:v1
    - videointelligence:v1 # https://cloud.google.com/video-intelligence/
    - vision:v1 # https://cloud.google.com/vision/reference/rest/
    - vmmigration:v1
    - webfonts:v1 # https://developers.google.com/fonts/docs/developer_api
    - webrisk:v1
    - websecurityscanner:v1
    - workflowexecutions:v1
    - workflows:v1
    - youtube:v3 # https://developers.google.com/youtube/
    - youtubeAnalytics:v2 # https://developers.google.com/youtube/analytics/
    - youtubereporting:v1 # https://developers.google.com/youtube/reporting/v1/reports/

- googleapis_beta:
    version: 8.1.0-dev
    repository: https://github.com/google/googleapis.dart/tree/master/generated/googleapis_beta
    readme: resources/README.md
    license: resources/LICENSE
    changelog: resources/googleapis_beta/CHANGELOG.md
    mono_pkg: resources/googleapis_beta/_mono_pkg.yaml
    extraDevDependencies:
        lints: ^2.0.0
    apis:
    - adexchangebuyer2:v2beta1 # https://developers.google.com/ad-exchange/buyer-rest/guides/client-access/
    - alertcenter:v1beta1 # https://developers.google.com/admin-sdk/alertcenter/
    - analyticsadmin:v1beta
    - analyticsdata:v1beta
    - area120tables:v1alpha1
    - bigqueryconnection:v1beta1
    - clouderrorreporting:v1beta1 # https://cloud.google.com/error-reporting/
    - cloudfunctions:v2beta
    - cloudsupport:v2beta
    - containeranalysis:v1beta1 # https://cloud.google.com/container-registry/docs/reference/rest/
    - datacatalog:v1beta1
    - dataflow:v1b3 # https://cloud.google.com/dataflow/
    - datalabeling:v1beta1
    - datastream:v1alpha1
    - documentai:v1beta3
    - domains:v1beta1
    - factchecktools:v1alpha1
    - fcmdata:v1beta1
    - firebase:v1beta1
    - firebaseappcheck:v1beta
    - firebasedatabase:v1beta
    - firebasestorage:v1beta
    - gkehub:v2alpha
    - ideahub:v1beta
    - lifesciences:v2beta
    - metastore:v1beta
    - networkconnectivity:v1alpha1
    - networksecurity:v1beta1
    - ondemandscanning:v1beta1
    - osconfig:v1alpha
    - policysimulator:v1beta1
    - privateca:v1beta1
    - prod_tt_sasportal:v1alpha1
    - recommendationengine:v1beta1
    - sasportal:v1alpha1
    - sqladmin:v1beta4
    - toolresults:v1beta3 # https://developers.google.com/cloud-test-lab/
    - tpu:v2alpha1

additional_apis:
  "firebaseremoteconfig:v1": https://firebaseremoteconfig.googleapis.com/$discovery/rest?version=v1
  "photoslibrary:v1": https://photoslibrary.googleapis.com/$discovery/rest?version=v1

# APIs that we do not wish to include in this package
skipped_apis:
- accesscontextmanager:v1beta
- admob:v1beta #v1 included
- analyticsadmin:v1alpha
- analyticshub:v1beta1
- apigateway:v1beta # v1 included
- appengine:v1alpha # v1 included
- appengine:v1beta
- artifactregistry:v1beta1 #v1 included
- artifactregistry:v1beta2 #v1 included
- assuredworkloads:v1beta1
- beyondcorp:v1alpha
- billingbudgets:v1beta1 # v1 included
- binaryauthorization:v1beta1 # v1 included
- blogger:v2 # v3 included
- cloudasset:v1beta1
- cloudasset:v1p1beta1 # v1 included
- cloudasset:v1p5beta1 # v1 included
- cloudasset:v1p7beta1 # v1 included
- cloudbilling:v1beta
- cloudbuild:v1alpha1 # v1 included
- cloudbuild:v1alpha2 # v1 included
- cloudbuild:v1beta1
- cloudfunctions:v2alpha # v2beta included
- cloudidentity:v1beta1 # v1 included
- cloudresourcemanager:v1beta1 # v1 included
- cloudresourcemanager:v2beta1 # v2 included
- cloudscheduler:v1beta1
- cloudtasks:v2beta2 # v2beta3 included
- cloudtasks:v2beta3
- cloudtrace:v1 # v2 included
- cloudtrace:v2beta1 # v2 included
- composer:v1beta1 # v1 included
- compute:alpha # v1 included
- compute:beta # v1 included
- container:v1beta1 # v1 included
- containeranalysis:v1alpha1 # v1beta1 included
- datafusion:v1beta1 # v1 included
- datamigration:v1beta1
- datastore:v1beta1 # v1 included
- datastore:v1beta3 # v1 included
- deploymentmanager:alpha # v2beta # v1 included
- deploymentmanager:v2beta # v1 included
- dialogflow:v2beta1 # v2 included
- dialogflow:v3beta1 # v3 included
- dns:v1beta2 # v1 included
- documentai:v1beta2 # v1beta3 included
- domains:v1alpha2 # v1beta1 included
- drivelabels:v2beta
- eventarc:v1beta1 # v1 included
- file:v1beta1
- firebasehosting:v1beta1 # v1 included
- firebaseml:v1beta2
- firestore:v1beta1 # v1 included
- firestore:v1beta2 # v1 included
- gameservices:v1beta # v1 included
- genomics:v2alpha1 # v1 included
- gkehub:v1alpha
- gkehub:v1alpha2
- gkehub:v1beta
- gkehub:v1beta1
- gmailpostmastertools:v1beta1 # v1 included
- healthcare:v1beta1 # v1 included
- iam:v2beta
- iap:v1beta1 # v1 included
- ideahub:v1alpha
- identitytoolkit:v1
- identitytoolkit:v2
- integrations:v1alpha
- jobs:v3p1beta1 # v3 included
- language:v1beta1 # v1 included
- language:v1beta2 # v1 included
- managedidentities:v1alpha1 # v1 included
- managedidentities:v1beta1 # v1 included
- memcache:v1beta2 # v1 included
- metastore:v1alpha # v1beta included
- monitoring:v1 # v3 included
- networkmanagement:v1beta1 # v1 included
- networkservices:v1beta1
- osconfig:v1beta # v1 included
- oslogin:v1alpha # v1 available
- oslogin:v1beta # v1 available
- playdeveloperreporting:v1alpha1
- playdeveloperreporting:v1beta1
- policyanalyzer:v1beta1
- policysimulator:v1alpha
- policytroubleshooter:v1beta # v1 included
- poly:v1 # https://support.google.com/poly/answer/10192635 poly.google.com is shut down!
- pubsub:v1beta1a # v1beta1, v1bets2 and v1 included
- pubsub:v1beta2 # v1 included
- realtimebidding:v1alpha
- recommender:v1beta1 # v1 included
- redis:v1beta1 # v1 included
- retail:v2alpha # v2 included
- retail:v2beta # v2 included
- runtimeconfig:v1beta1 # v1 included
- secretmanager:v1beta1 # v1 included
- securitycenter:v1beta1 # v1 included
- securitycenter:v1beta2 # v1 included
- serviceconsumermanagement:v1beta1 # v1 included
- servicedirectory:v1beta1 # v1 included
- servicenetworking:v1beta # v1 included
- serviceusage:v1beta1 # v1 included
- speech:v1p1beta1 # v1 included
- sqladmin:v1 # empty!
- sts:v1beta #v1 included
- texttospeech:v1beta1 # v1 included
- tpu:v1alpha1 # v1 included
- translate:v2 # v3 included
- translate:v3beta1 # v3 included
- videointelligence:v1beta2 # v1 included
- videointelligence:v1p1beta1 # v1 included
- videointelligence:v1p2beta1
- videointelligence:v1p3beta1
- vision:v1p1beta1 # v1 included
- vision:v1p2beta1 # v1 included
- vmmigration:v1alpha1
- websecurityscanner:v1alpha # v1 included
- websecurityscanner:v1beta # v1 included
- workflowexecutions:v1beta # v1 included
- workflows:v1beta # v1 included
- discoveryengine:v1alpha
- discoveryengine:v1beta
